//
//  POV-Ray scene file generated by ForeSpace OS/2

#include "colors.inc"
#include "textures.inc"
#include "stones.inc"

#declare ground = texture {
	pigment {
		bozo
		color_map {
			[0.359 color rgbf<0.27451, 0.611765, 0, 0>]
			[1 color rgbf<0.627451, 0.631373, 0, 0>]
		}
		scale <0.05, 0.05, 0.05>
	}

	normal {
		bumps
		0.1
		scale <0.1, 0.1, 1>
	}

}


#declare sky_texture = texture {
}


#declare clear_water = texture {
	pigment {
		color rgbf<0.580392, 0.686275, 0.796078, 1>
	}

	normal {
		ripples
		0.4
		scale <0.1, 0.1, 1>
	}

	finish {
		refraction 1
		ior 1.33
	}

}


camera {
  direction <0, -1, 0>
  up        <0, 0, 1>
  sky       <0, 0, 1>
  location  <6.4304, 8.64, 6.27392>
  look_at   <0, 0, 0>
}

light_source { <-0.155819, 0, 4.73951> color White }

light_source { <1.84412, 9.28, 6.62325> color White }

// Now declare all objects

#declare Box007=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <2, 3, 0.25>
rotate <0, 0, 0>
translate <7, 0, -0.75>
}
}


#declare Box008=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <1.5, 2.5, 0.25>
rotate <0, 0, 0>
translate <6.5, 0, -0.25>
}
}


#declare Box009=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <1, 2, 0.25>
rotate <0, 0, 0>
translate <6, 0, 0.25>
}
}


#declare Steps=
object {
union {
object { Box009 }
object { Box007 }
object { Box008 }
scale <0.8, 1.2, 1>
rotate <0, 0, 0>
translate <1, 0, 0>
}
}


#declare Box006=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <5, 4, 0.25>
rotate <0, 0, 0>
translate <0, 0, 5.25>
}
}


#declare Grass=
object {
plane {
<0, 0, 1>, 0
texture { ground }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <0, 0, -1>
}
}


#declare Sky_plane=
object {
plane {
<0, 0, 1>, 0
texture { sky_texture }
scale <1, 1, 1>
rotate <-5, 175, 0>
translate <-0.28, 0, 7.28>
}
}


#declare Plane001=
object {
plane {
<0, 0, 1>, 0
scale <1, 1, 1>
rotate <0, 0, 0>
translate <-0.08, 0, 0.68>
}
}


#declare Box005=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <3, 2, 1.5>
rotate <0, 0, 0>
translate <0, 0, 0.75>
}
}


#declare CSG001=
object {
intersection {
object { Box005 }
object { Plane001 }
texture { clear_water }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <0, 0, 0>
}
}


#declare Box002=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <3, 2, 1>
rotate <0, 0, 0>
translate <0, 0, 1.4>
}
}


#declare Box003=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <2.5, 1.5, 1>
rotate <0, 0, 0>
translate <0.04, 0, 0.8>
}
}


#declare Box004=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <2, 1, 1>
rotate <0, 0, 0>
translate <0.04, 0, 0.44>
}
}


#declare Box001=
object {
box {
<-1, -1, -1>, <1, 1, 1>
scale <5, 4, 1>
rotate <0, 0, 0>
translate <0, 0, 0>
}
}


#declare Pool_block=
object {
difference {
object { Box001 }
object { Box002 }
object { Box003 }
object { Box004 }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <0, 0, 0>
}
}


#declare Torus001=
object {
torus {
0.5, 0.25
scale <1, 1, 1>
rotate <90, 0, 0>
translate <0, 0, 1>
}
}


#declare Cylinder001=
object {
cylinder {
<0, 0, 0>, <0, 0, 1>, 1
scale <0.5, 0.5, 4>
rotate <0, 0, 0>
translate <0, 0, 1>
}
}


#declare Pillar001=
object {
union {
object { Cylinder001 }
object { Torus001 }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <-3.88, 2.84, 0>
}
}


#declare Torus003=
object {
torus {
0.5, 0.25
scale <1, 1, 1>
rotate <90, 0, 0>
translate <0, 0, 1>
}
}


#declare Cylinder002=
object {
cylinder {
<0, 0, 0>, <0, 0, 1>, 1
scale <0.5, 0.5, 4>
rotate <0, 0, 0>
translate <0, 0, 1>
}
}


#declare Pillar002=
object {
union {
object { Cylinder002 }
object { Torus003 }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <-3.88, -2.84, 0>
}
}


#declare Torus005=
object {
torus {
0.5, 0.25
scale <1, 1, 1>
rotate <90, 0, 0>
translate <0, 0, 1>
}
}


#declare Cylinder003=
object {
cylinder {
<0, 0, 0>, <0, 0, 1>, 1
scale <0.5, 0.5, 4>
rotate <0, 0, 0>
translate <0, 0, 1>
}
}


#declare Pillar003=
object {
union {
object { Cylinder003 }
object { Torus005 }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <3.92, 2.83645, 0>
}
}


#declare Torus007=
object {
torus {
0.5, 0.25
scale <1, 1, 1>
rotate <90, 0, 0>
translate <0, 0, 1>
}
}


#declare Cylinder004=
object {
cylinder {
<0, 0, 0>, <0, 0, 1>, 1
scale <0.5, 0.5, 4>
rotate <0, 0, 0>
translate <0, 0, 1>
}
}


#declare Pillar004=
object {
union {
object { Cylinder004 }
object { Torus007 }
scale <1, 1, 1>
rotate <0, 0, 0>
translate <3.92, -2.84355, 0>
}
}


// Now instantiate the declared objects

object { Steps }

object { Box006 }

object { Grass }

object { Sky_plane }

object { CSG001 }

object { Pool_block }

object { Pillar001 }

object { Pillar002 }

object { Pillar003 }

object { Pillar004 }

